Bug 239973 - (perl-JSON-XS) Review Request: perl-JSON-XS - JSON serialising/deserialising, done correctly and fast
Review Request: perl-JSON-XS - JSON serialising/deserialising, done correctly...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/JSON-XS/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-13 13:19 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 00:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-13 13:19:06 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-JSON-XS-1.21-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-JSON-XS.spec

Description:
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be correct and its secondary goal is to be fast. To
reach the latter goal it was written in C.
Comment 1 Chris Weyl 2007-05-13 13:20:34 EDT
In the next "not minor" release of perl-JSON, this module will be transparently
usable as the backend of JSON, much as Readonly::XS is to Readonly or
Class::C3::XS is to Class::C3.
Comment 2 Jason Tibbitts 2007-05-14 21:44:41 EDT
A clean package; The only question I have is why you didn't include the "eg"
directory as documentation.  I guess it only holds a benchmark.

* source files match upstream:
   dc574ce851b8334d29dac844eec5a74b88f985c1b76e389a1e8a7407dd81c4b0  
   JSON-XS-1.21.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream (COPYING just says "same as Perl")
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   XS.so()(64bit)
   perl(JSON::XS) = 1.21
   perl-JSON-XS = 1.21-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(strict)

* %check is present and all tests pass:
   All tests successful.
   Files=16, Tests=24726, 4 wallclock secs ( 3.14 cusr +  0.23 csys = 3.37 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.

APPROVED
Comment 3 Chris Weyl 2007-05-14 22:00:42 EDT
(In reply to comment #2)
> A clean package; The only question I have is why you didn't include the "eg"
> directory as documentation.  I guess it only holds a benchmark.

Purely an oversight on my part; I'll include it in %doc.
Comment 4 Chris Weyl 2007-05-14 22:02:01 EDT
New Package CVS Request
=======================
Package Name: perl-JSON-XS
Short Description: JSON serialising/deserialising, done correctly and fast
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Chris Weyl 2007-05-15 00:59:58 EDT
Imported and building.  Thanks for the review! :)
Comment 6 Chris Weyl 2007-10-13 17:47:21 EDT
Please branch for F-8 :)
Comment 7 Kevin Fenzi 2007-10-14 15:46:59 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.